Bug 50584 - /dev/sdb1 identified incorrectly
/dev/sdb1 identified incorrectly
Product: Red Hat Linux
Classification: Retired
Component: parted (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-01 09:01 EDT by Gene Czarcinski
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-23 16:05:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dd if=/dev/sdb1 of=fshead bs=1024 count=1 (1.00 KB, application/octet-stream)
2001-08-08 06:34 EDT, Gene Czarcinski
no flags Details

  None (edit)
Description Gene Czarcinski 2001-08-01 09:01:02 EDT
Description of Problem:

This is really two problems.  This is on beta hardware platform #28.

/dev/sda1 and /dev/sdb1 both have FAT16 partitions defined and WINNT
installed on /dev/sda1 with /dev/sdb2 as an extra FAT16 partition.  Each of
these is 2000MB in size.

When the grub/lilo boot panel comes up, /dev/sda1 is defined as FAT16 with
"DOS" as the bootup name/label.  However, /dev/sdb1 is defined as "ntfs"
with **NO** label.  You cannot proceed until a label is defined.

The boot loader selected is grub.

How Reproducible:

Steps to Reproduce:
1. do gui install with definition as above

Actual Results:
OK once I defined a label for /dev/sdb1 [(hd1,0) in grubese]

Expected Results:
1. Partition type correct.
2. Null label allowed to indicate that entry NOT to be included.

Additional Information:
Comment 1 Jeremy Katz 2001-08-01 12:14:41 EDT
I have no problem continuing on to the next screen without a label defined for
an NTFS partition.  

As to the partition misdetect, was there ever an NTFS partition starting at this
location on the disk?
Comment 2 Gene Czarcinski 2001-08-06 15:34:13 EDT
I have check into this and /dev/sdb1 is a FAT16 partition with a single file on
it (the Win2k paging file).

As far as I can tell, NTFS was never on that disk.
Comment 3 Jeremy Katz 2001-08-06 15:42:39 EDT
Could you run `parted /dev/sdb` and see if it also shows the partition as ntfs?
Comment 4 Gene Czarcinski 2001-08-07 07:37:15 EDT
I ran parted against both sda and sdb (they each have a FAT16 partition as the
first partition.

Doing check 1 on sda did some work but displayed nothing.

Doing check 2 on sdb said it did not support ntfs.

Whatever signature it (and anaconda) look for is present.

Comment 5 Gene Czarcinski 2001-08-07 08:00:31 EDT
OK, I reinstalled Roswell into a test partition (/dev/sdb3) to check everything
again and discovered some small amount of additional information:

1.  Again /dev/sdb1 was identified as ntfs.  The fact that this was identified
ntfs is not important to me but it may contribute to the other part of the problem.

2.  /dev/sda1 was identified as DOS -- really it is win2k installed on a FAT16

sdb1 had not label.  If I remove the label for sda1 (delete "DOS") then then
"next" button gets greyed out.  If I have a label on with sda1 or sdb1, then I
can proceed.

On other systems with winnt or win2k installed on hda1 or sda1 but no sdb1
issue, I can delete the label for "DOS" and proceed fine.  It is only this one
system with the strange partition that causes a problem.
Comment 6 Jeremy Katz 2001-08-07 11:29:40 EDT
If parted says it's ntfs, anaconda will since anaconda is just using parted's
python module.  I've fixed the having multiple blank labels not allowing you to
go forward in CVS.

Matt -- any ideas on the ntfs misdetect?
Comment 7 Matt Wilson 2001-08-07 11:43:03 EDT
could you dd if=/dev/hda2 of=fshead bs=1024k count=1 and attach it, please? 
(I'm moving this bug to parted, since this would be a parted bug.  Shame on you
for reporting two bugs in one bugzilla....)
Comment 8 Gene Czarcinski 2001-08-07 16:53:33 EDT
The bugs seemed to be one bug initially.

I haven't a clue as to the ntfs misdetect but will try to get the "dd" tomorrow.
Comment 9 Gene Czarcinski 2001-08-08 06:31:16 EDT
I assume you want the information from the partition identified as ntfs: 
/dev/sdb1.  The only ide device on the system is the cdrom drive.

The /dev/sda2 partition is swap ... did you want that??
Comment 10 Gene Czarcinski 2001-08-08 06:34:18 EDT
Created attachment 26793 [details]
dd if=/dev/sdb1 of=fshead bs=1024 count=1
Comment 11 Gene Czarcinski 2001-08-24 14:44:15 EDT
sdb1 (a vfat formatted disk) is still recognized as NTFS.  This still happens
with RC1 although leaving the system "name" blank does not create a badgrub.conf
and this can be ignored.

Unless you RedHat want to pursue this, I suggest it should be closed.
Comment 12 Matt Wilson 2001-08-24 14:50:35 EDT
It clearly has the NTFS magic at the top of this filesystem.
Comment 13 Matt Wilson 2002-04-16 17:02:34 EDT
does this still happen with latest parted?
Comment 14 Gene Czarcinski 2002-04-16 19:06:48 EDT
Arrgh.  Unfortunately, I no longer have access to that system.  If you cannot
get the info elsewhere, I can try and create the problem but this will not be
easy or guarenteed to reproduce the problem.
Comment 15 Michael Fulbright 2002-05-01 11:52:43 EDT
I'll mark this as closed since we do not have a way to reproduce this exact
situation.  If it continues to be a problem please reopen this report.

Note You need to log in before you can comment on or make changes to this bug.